﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TankCotroller : MonoBehaviour
{
    public int playerNum = 1;        // 플레이어 번호
    string mvAxisName;                // 이동 축의 이름 저장 
    string rotAxisName;                // 회전 축의 이름 저장
    float tkMvSpeed = 10.0f;        // 탱크의 이동 속도
    float tkRotSpeed = 150.0f;      // 탱크의 회전 속도
    public Color tankColor;

    // Start is called before the first frame update
    void Start()
    {
        mvAxisName = "Vertical" + playerNum;
        rotAxisName = "Horizontal" + playerNum;

        // Get all of the renderers of the tank.
        MeshRenderer [ ] renderers = GetComponentsInChildren<MeshRenderer> ();

        // Go through all the renderers...
        for (int i = 0; i < renderers.Length; i++) {
            // ... set their material color to the color specific to this tank.
            renderers [ i ].material.color = tankColor;
        }
    }

    // Update is called once per frame
    void Update()
    {
        float mv = Input.GetAxis (mvAxisName) * tkMvSpeed * Time.deltaTime;
        float rot = Input.GetAxis (rotAxisName) * tkRotSpeed * Time.deltaTime;
  
        transform.Translate (0 , 0 , mv);
        transform.Rotate (0 , rot , 0);
    }
}
